Bug 735380 - [abrt] kernel: WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a(): TAINTED ---------W
Summary: [abrt] kernel: WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a(): TAINT...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:aa90ee7ee6eae695098d2057f7d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 14:39 UTC by zbechir
Modified: 2012-07-11 17:53 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 17:53:49 UTC


Attachments (Terms of Use)

Description zbechir 2011-09-02 14:39:00 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/vg_ccdsi004-lv_root rd_LVM_LV=vg_ccdsi004/lv_root rd_LVM_LV=vg_ccdsi004/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=fr_FR.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=fr rhgb quiet
comment:        I don't know????
component:      kernel
kernel:         2.6.40.3-0.fc15.x86_64
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a()
time:           Wed Aug 24 09:29:38 2011

backtrace:
:WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a()
:Hardware name: Dell System Inspiron N7110
:Modules linked in: ath3k fuse 8021q garp stp llc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack bnep snd_hda_codec_realtek arc4 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm ath9k mac80211 iTCO_wdt xhci_hcd btusb bluetooth snd_timer snd ath9k_common ath9k_hw ath r8169 mii iTCO_vendor_support uvcvideo videodev media v4l2_compat_ioctl32 dell_laptop dell_wmi soundcore snd_page_alloc cfg80211 i2c_i801 microcode rfkill dcdbas sparse_keymap ipv6 nouveau i915 ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
:Pid: 3527, comm: xkbcomp Not tainted 2.6.40.3-0.fc15.x86_64 #1
:Call Trace:
: [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
: [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
: [<ffffffff81139f6e>] unlock_new_inode+0x2e/0x4a
: [<ffffffff8119a33b>] ext4_new_inode+0xc88/0xd1d
: [<ffffffff811a53d5>] ext4_create+0xbc/0x13e
: [<ffffffff811319f0>] vfs_create+0x6c/0x8e
: [<ffffffff81131c54>] do_last+0x242/0x581
: [<ffffffff81132b18>] path_openat+0xc8/0x31c
: [<ffffffff81137488>] ? d_alloc+0x174/0x18d
: [<ffffffff811c95ef>] ? ext4_xattr_get_acl+0x81/0x81
: [<ffffffff81132da4>] do_filp_open+0x38/0x86
: [<ffffffff8113c65d>] ? alloc_fd+0x72/0x11d
: [<ffffffff81126720>] do_sys_open+0x6e/0x100
: [<ffffffff810a0d60>] ? audit_syscall_entry+0x145/0x171
: [<ffffffff811267d2>] sys_open+0x20/0x22
: [<ffffffff8148e182>] system_call_fastpath+0x16/0x1b

Comment 1 Scotty Delicious 2011-10-06 14:34:16 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Browsing the internet and downloading some files

Comment 2 Scotty Delicious 2011-10-06 14:34:54 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Browsing the internet and downloading some files

Comment 3 Luya Tshimbalanga 2011-10-08 18:13:33 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash occurred after resuming the laptop

Comment 4 Luya Tshimbalanga 2011-10-25 09:14:22 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash occurred after resuming the session.

Comment 5 Nicolas Corrarello 2011-10-27 23:59:19 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Resume from hibernate

Comment 6 Sanne Bregman 2011-10-28 06:47:40 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I resumed my machine after I had suspended it to disk

Comment 7 Alex Wajda 2012-01-01 12:59:11 UTC
I have no idea what causes this problem, but it appeared twice to me within a minute: 1st time when I resumed my laptop and 2nd time when I was reporting the first issue :)

rating: (null)
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 8 Alex Wajda 2012-01-01 13:03:44 UTC
It happened during reporting bug via ABRT.... 

rating: (null)
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 9 Pierre-Antoine Roiron 2012-01-02 09:39:45 UTC
I did not ntice when the bug happened.

rating: (null)
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 10 Pierre-Antoine Roiron 2012-01-11 08:05:58 UTC
The computer went in sleep mode, and when I woke him up, the ABRT warned me about that kernel problem.

rating: (null)
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 11 Marc Ludwig 2012-01-11 22:04:58 UTC
Set the System to hybernate. Then reboot and got the failure.

rating: (null)
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 12 Pierre-Antoine Roiron 2012-01-12 08:13:27 UTC
The problem occured when woking up from hibernate.

rating: (null)
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 13 Marc Ludwig 2012-02-13 21:11:48 UTC
Set the System to hybernate. Then reboot and got the failure.

Package: kernel
OS Release: Fedora release 16 (Verne)

Comment 14 Dave Jones 2012-04-11 16:08:23 UTC
is this still happening in 2.6.43.1 ?

Comment 15 Josh Boyer 2012-07-11 17:53:49 UTC
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.


Note You need to log in before you can comment on or make changes to this bug.